# H4503_H323CallDiversionOperations Class Reference

`#include <h4503.h>`

List of all members.

## Public Types

enum | Enumerations { e_activateDiversionQ = 15, e_deactivateDiversionQ, e_interrogateDiversionQ, e_checkRestriction, e_callRerouting, e_divertingLegInformation1, e_divertingLegInformation2, e_divertingLegInformation3, e_divertingLegInformation4 = 100, e_cfnrDivertedLegFailed = 23 }

## Public Member Functions

| H4503_H323CallDiversionOperations (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H4503_H323CallDiversionOperations & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H4503_H323CallDiversionOperations::Enumerations

Enumerator:

  e_activateDiversionQ |
  e_deactivateDiversionQ |
  e_interrogateDiversionQ |
  e_checkRestriction |
  e_callRerouting |
  e_divertingLegInformation1 |
  e_divertingLegInformation2 |
  e_divertingLegInformation3 |
  e_divertingLegInformation4 |
  e_cfnrDivertedLegFailed |

## Constructor & Destructor Documentation

H4503_H323CallDiversionOperations::H4503_H323CallDiversionOperations | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4503_H323CallDiversionOperations& H4503_H323CallDiversionOperations::operator= | ( | unsigned | v | ) |

PObject* H4503_H323CallDiversionOperations::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4503.h